from unittest import TestCase, main
import argmap
import sys

class DummyClass(object):
    @classmethod
    @argmap.arg("b", argmap.none_or(int))
    def run(cls, a, b=None):
        return a, b
        
class TestClassmethod(TestCase):
    def test_classmethod(self):
        self.assertTupleEqual(argmap.argmap(DummyClass.run, 
                                            ["hello"]), 
                              ("hello", None))
        
        self.assertTupleEqual(argmap.argmap(DummyClass.run, 
                                            ["hello", "--b", "42"]), 
                              ("hello", 42))

if sys.version_info[0] >= 3:
    from .impl3.cases import TestClassmethod3

if __name__ == "__main__":
    main()
