from unittest import TestCase, main
import argmap

class TestKwArgs(TestCase):
    def test_kwargs(self):
        @argmap.kwargs(a="a", b="b")
        def func(**options):
            return dict(options)
        
        self.assertDictEqual(argmap.argmap(func, ["--a", "hello"]), 
                             dict(a="hello", b="b"))
    
    def test_underscored_kwargs(self):
        @argmap.kwargs(a="a", b="b")
        def func(**func_options):
            return dict(func_options)
        
        self.assertDictEqual(argmap.argmap(func, ["--a", "hello"]), 
                             dict(a="hello", b="b"))
        
        
if __name__ == "__main__":
    main()
