from unittest import TestCase, main
from argmap.util import get_description_and_epilog

class TestGetDescriptionAndEpilog(TestCase):
    def test_no_docstring(self):
        def func():
            pass
        
        self.assertTupleEqual((None, None), 
                              get_description_and_epilog(func))
    
    def test_empty_docstring(self):
        def func():
            """
            
            """
            pass
        
        self.assertTupleEqual((None, None), 
                              get_description_and_epilog(func))
    
    def test_single_non_emtpy(self):
        def func():
            """description
            
            """
            pass
        
        self.assertTupleEqual(("description", None), 
                              get_description_and_epilog(func))
    
    def test_full(self):
        def func():
            """description
              
              epilog
              
              hello world
            """
            pass
        
        self.assertTupleEqual(("description", "epilog\n\nhello world"), 
                              get_description_and_epilog(func))
    
    
if __name__ == "__main__":
    main()
